regBale = {};
addModEventListener(regBale);
local baleregpath = g_currentModDirectory;
function regBale.prerequisitesPresent(specializations)
    return true;
end;

function regBale:loadMap(name)
	BaleUtil.registerBaleType(("bales/Kopna.i3d"), "wheat_windrow", 0.15, 0.14, 0.17, nil, false)
        BaleUtil.registerBaleType(("bales/Kopna.i3d"), "barley_windrow", 0.15, 0.14, 0.17, nil, false)
	BaleUtil.registerBaleType(("bales/Kopna.i3d"), "dryGrass_windrow", 0.15, 0.14, 0.17, nil, false)
	BaleUtil.registerBaleType(("bales/Kopna.i3d"), "grass_windrow", 0.15, 0.14, 0.17, nil, false)
	print("--- small bales registered")
end;

function regBale:deleteMap()
end

function regBale:mouseEvent(posX, posY, isDown, isUp, button)
end;

function regBale:keyEvent(unicode, sym, modifier, isDown)
end;

function regBale:update(dt)
end

function regBale:draw()
end;
